Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
plymouth build fail instead of pulling pkgs w/ USE=libkms
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
as.gentoo
Tux's lil' helper
Tux's lil' helper


Joined: 07 Aug 2004
Posts: 109

PostPosted: Tue Oct 16, 2012 3:11 pm    Post subject: plymouth build fail instead of pulling pkgs w/ USE=libkms Reply with quote

Hi,
build of sys-boot/plymouth fails with:

Code:
make[5]: Entering directory `/var/tmp/portage/sys-boot/plymouth-0.8.4/work/plymouth-0.8.4_build/src/plugins/renderers/drm'
  CC       drm_la-plugin.lo
  CC       drm_la-ply-renderer-nouveau-driver.lo
/var/tmp/portage/sys-boot/plymouth-0.8.4/work/plymouth-0.8.4/src/plugins/renderers/drm/plugin.c: In function 'find_driver_for_device':
/var/tmp/portage/sys-boot/plymouth-0.8.4/work/plymouth-0.8.4/src/plugins/renderers/drm/plugin.c:425:12: warning: ignoring return value of 'asprintf', declared with attribute warn_unused_result
/var/tmp/portage/sys-boot/plymouth-0.8.4/work/plymouth-0.8.4/src/plugins/renderers/drm/ply-renderer-nouveau-driver.c:45:27: fatal error: nouveau_drmif.h: No such file or directory
compilation terminated.
make[5]: *** [drm_la-ply-renderer-nouveau-driver.lo] Error 1


This looks like nouveau-drm is needed. So I would assume that it is pulled if not yet emerged, but:

Code:
$  eix nouveau-drm
* x11-base/nouveau-drm
     Available versions:  (~)20100520 (~)20100811 (~)20101107 (~)20110526 (~)20110602 (~)20110801 (~)20110820 (~)20111101 (~)20120322 (~)20120605 (~)20120728 (~)20121015
     IUSE (all versions): KERNEL="linux"
     Best versions/slot:  (~)20121015
     Homepage:            http://nouveau.freedesktop.org/
     Find open bugs:      http://bugs.gentoo.org/buglist.cgi?quicksearch=x11-base%2Fnouveau-drm
     Description:         Nouveau DRM Kernel Modules for X11
     License:             MIT

$ sudo emerge -pv1 plymouth

These are the packages that would be merged, in order:

Calculating dependencies          ... done!   
[ebuild     UD ] sys-libs/e2fsprogs-libs-1.42.1 [1.42.6] USE="nls -static-libs" 0 kB
[ebuild     UD ] sys-boot/plymouth-0.8.4 [0.9_pre20111013-r1] USE="gdm libkms openrc pango -debug -static-libs" VIDEO_CARDS="nouveau -intel -radeon" 0 kB

Total: 2 packages (2 downgrades), Size of downloads: 0 kB

WARNING: One or more updates have been skipped due to a dependency conflict:

sys-libs/e2fsprogs-libs:0

  (sys-libs/e2fsprogs-libs-1.42.6::gentoo, ebuild scheduled for merge) conflicts with
    ~sys-libs/e2fsprogs-libs-1.42.1 required by (sys-fs/e2fsprogs-1.42.1::gentoo, installed)


By the way, shouldn't sys-boot/plymouth-openrc-plugin be pulled due to USE=openrc, too?

Thanks in advance!
Back to top
View user's profile Send private message
as.gentoo
Tux's lil' helper
Tux's lil' helper


Joined: 07 Aug 2004
Posts: 109

PostPosted: Tue Oct 16, 2012 3:15 pm    Post subject: Reply with quote

Ah, sorry sys-boot/plymouth-openrc-plugin is emerged yet...
Back to top
View user's profile Send private message
chithanh
Developer
Developer


Joined: 05 Aug 2006
Posts: 1561
Location: Berlin, Germany

PostPosted: Tue Oct 16, 2012 9:44 pm    Post subject: Reply with quote

You need libdrm-2.4.33 or older. See bug 428146.
Back to top
View user's profile Send private message
Xake
Guru
Guru


Joined: 11 Feb 2004
Posts: 588
Location: Göteborg, the rainy part of scandinavia

PostPosted: Sat Jan 26, 2013 8:17 am    Post subject: Reply with quote

For future references, the easiest way to get this working is not downgrading libdrm, but currently:

Code:
USE="libkms" VIDEO_CARDS="" emerge plymouth

_________________
If I edit a post without commenting it mostly is spelling-errors.
And if I sounds rude I am sorry, that is just my personality speaking and has most of the time nothing to do with you personally.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum